package com.clx.performance.service.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.collect.CollectTruckLocationSaveParam;
import com.clx.performance.param.app.collect.PageCollectTruckLocationParam;
import com.clx.performance.param.pc.carrier.CarrierPageCollectTruckLocationParam;
import com.clx.performance.vo.pc.collect.CollectTruckLocationVO;

public interface CollectTruckLocationService {

    void saveLocationReport(CollectTruckLocationSaveParam param);

    CollectTruckLocationVO getReportInfo(Integer id);

    IPage<CollectTruckLocationVO> pageLocationReport(PageCollectTruckLocationParam param);

    IPage<CollectTruckLocationVO> carrierPageLocationReport(CarrierPageCollectTruckLocationParam param);

}
